jsgf_s Struct Reference

## Data Fields

char * | version
| JSGF version (from header)
char * | charset
| JSGF charset (default UTF-8)
char * | locale
| JSGF locale (default C)
char * | name
| Grammar name.
hash_table_t * | rules
| Defined or imported rules in this grammar. More...
hash_table_t * | imports
| Pointers to imported grammars. More...
jsgf_t * | parent
| Parent grammar (if this is an imported one)
glist_t | searchpath
| List of directories to search for grammars. More...
int | nstate
| Number of generated states. More...
glist_t | links
| Generated FSG links. More...
glist_t | rulestack
| Stack of currently expanded rules. More...

## Detailed Description

Definition at line 69 of file jsgf_internal.h.

## Field Documentation

## imports

hash_table_t* jsgf_s::imports

Pointers to imported grammars.

Definition at line 76 of file jsgf_internal.h.

Referenced by jsgf_grammar_new().

## links

glist_t jsgf_s::links

Generated FSG links.

Definition at line 82 of file jsgf_internal.h.

## nstate

int jsgf_s::nstate

Number of generated states.

Definition at line 81 of file jsgf_internal.h.

## rules

hash_table_t* jsgf_s::rules

Defined or imported rules in this grammar.

Definition at line 75 of file jsgf_internal.h.

Referenced by jsgf_get_rule(), jsgf_grammar_new(), and jsgf_rule_iter().

## rulestack

glist_t jsgf_s::rulestack

Stack of currently expanded rules.

Definition at line 83 of file jsgf_internal.h.

## searchpath

glist_t jsgf_s::searchpath

List of directories to search for grammars.

Definition at line 78 of file jsgf_internal.h.

Referenced by jsgf_grammar_new().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/jsgf_internal.h